var accountStaff = {
    settings: {
        ajaxUrl: ''
    },
    init: function() {
        accountStaff.initDataTable();
    },
    initDataTable: function() {

        var callBack = function() {
        };

        accountStaff.dataList = jQ('#accountStaff-datalist').DataTable({
            'processing': true,
            'serverSide': true,
            'ajax': {
                'url': accountStaff.settings.ajaxUrl,
                'data': function(d) {
                    d.url = global.settings.url;
                    // d.status = jQ("#status").val();
                }
            },
            'deferRender': true,
            'columnDefs': [
                { 'orderable': false, 'targets': 7 },
                { 'searchable': false, 'targets': 7 }
            ],
            drawCallback: function() {
                callBack();
            },
            responsive: {
                details: {
                    renderer: function( api,rowIdx ) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        // jQ('#status').on('change', function(){
        //     accountStaff.dataList.draw();
        // });

        jQ('.content-container').removeClass('has-loading');
        jQ('.content-container-content').removeClass('hide');
    }
};